git-buildpackage (0.9.43) unstable; urgency=medium

  [ Arnaud Rebillout ]
  * [06dba64] Fix _cmd_has_feature.

  [ Guido Günther ]
  * [714dbf8] ci: Disable uscan. It's a Debian native package
  * [5b9ced3] pq: Allow to disable copy detection (Closes: #1132914)
  * [3bff95c] tmpfile: Add type annotations.
    Fixes build with mypy 2.1.0

  [ Bastian Triller ]
  * [3aaabca] docs/import: Fix typo

  [ Carlos Henrique Lima Melara ]
  * [6da9dbe] dch: Add support to --stable and --lts options (Closes: #1135243)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 26 May 2026 09:12:52 +0200

git-buildpackage (0.9.42) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * [b4171e5] tree: Clean away excess whitespace to make editing and linting
    files easier

  [ Guido Günther ]
  * [6eb904d] upstreamsource: Avoid using typing-extension.
    It's not available in minimal containers and we can avoid the
    dependency.
    Thanks to Manuel Traut for the report

  [ Philippe Coval ]
  * [7e280b2] spec: Add support for Fedora.
    It was tested on f43
    Reference: https://src.fedoraproject.org/rpms/docbook2X

 -- Guido Günther <agx@sigxcpu.org>  Mon, 20 Apr 2026 10:48:34 +0200

git-buildpackage (0.9.41) unstable; urgency=medium

  * [213723e] Don't let dh_python3 guess dependencies.
    It adds too much as some deps from requirements.txt
    are optional (Closes: #1134414)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 20 Apr 2026 08:33:39 +0200

git-buildpackage (0.9.40) unstable; urgency=medium

  [ Guido Günther ]
  * [34163bd] component: Move uscan test to people.debian.org.
    This is more robust than VM that gets knocked off by AI scrapers
    ever so often.
  * [75d12bb] test-clone: Avoid pristine-tar
    libvirt-glib added that making the test fail like
    Disable pristine-tar as that doesn't add anything and only slows down
    the tests.
  * [af3254c] repository: Add some type annotations
  * [1b97034] buildpackage: Add some type annotations
  * [2e41ca0] buildpackage: Don't reuse tarball name
  * [7ba18bf] buildpackage: Ensure upstream.unpacked isn't None.
    This helps the type checker but also expresses our assumption
  * [eef1cb8] upstreamsource: Add some type annotations
  * [557be82] archive: Add types
  * [9fa9f93] pkgpolicy: Simplify type annotations
    `|` is easier to read than typing.Optional
  * [727a06b] pkgpolicy: Drop unused extra_regex argument
  * [3da9894] pkgpolicy: Add type annotations
  * [3ddc72b] pristinetar: Add type annotations
  * [fca9b17] deb.git: Add some type annotations
  * [b8fba17] pkg.git: Add virtual method for `has_pristine_tar_branch`
    All packaging git repo classes need to implement this.
  * [6ecb5db] tests: No need for _tmpdirs to be declared as global
  * [3f60396] clone: Skip branch when nothing got replaced
    for-each-ref gives us the remote name as well, skip over that.
    Tested-by: gregor herrmann <gregoa@debian.org> (Closes: #1040061)
  * [4275337] git-pbuilder: Improve wording.
    Thanks to Andrew Sayers (Closes: #1104798)

  [ Wesley Hershberger ]
  * [954d5d5] pq: Typo
  * [0691eab] tests: Rename unittests so that they will be run by pytest
  * [c5f39df] tests/fastimport: Use unittest.TestCase.
    Rename so that pytest will run this test.
  * [ef64349] tests/rpm_changelog: Use unittest.TestCase.
    Rename so that pytest will run this test.
  * [e5d04de] tests/gbp_import_orig: Ensure Salsa returns 404.
    Salsa began offering a 302 redirect to a 200 sign-in page instead of a
    404 at the previous URL.
    Rename so that pytest will run this test.
  * [e6232c8] tests/submodules: Refactor using unittest.TestCase.
    Rename so that pytest will run this test.
  * [54c532f] tests/rpm: Use unittest.TestCase and mark expectedFailure.
    I've xfailed the failing ones as I don't have the knowledge of the RPM
    ecosystem to resolve these - I suspect churn in the specfile format.
  * [9b6e5d7] tests/rpm: Rename so that pytest will run this test
  * [dd70ac8] pq: Remove plain `Gbp:`-style commands.
    These have not worked for 10 years. `Gbp-Pq:` is preferred.
  * [68f609b] po: Run `make langs`
  * [2e9bfbc] pq: Remove `Gbp-Pq-Topic` command.
    It has been deprecated since 2014.
  * [1fd9543] po: Run `make langs`
  * [4651533] pq: Fix header_name parameter for `Date` patch header
    header_name is the fourth positional. 'date' should not be used as
    `maxlinelen`.
  * [22e5862] scripts.common.pq: Add some type annotations
    datetime.tzinfo is an abstract class with @abstractmethod tzname; mypy
    objects to the missing implementation. The return value is
    unimportant/arbitrary.
    charset.body_encoding is an int; skip the type check there as mypy
    doesn't detect it as nullable.
    Email headers are a rabbit hole: mypy expects `str` instead of `Header`.
    Naive conversion to string results in suboptimal encoding/noise;
    correctly converting to a str here requires the msg's policy's `fold`
    method. Since this is a legacy (untyped) API, just leave it as is and
    ignore the warnings rather than making a subtle mistake.
  * [6d417c4] scripts.pq: Add some type annotaions
  * [2c15d1c] packaging: Add deb-src to test container
    vcsgit URLs require deb-src entries
  * [aa2bad6] tests/deb_changelog: Fix dch fail regexes
    dch stdout is no longer captured as of 6512a0d3b
    Rename so that pytest will run this test.
    Fixes: 6512a0d3 ("changelog: Don't capture dch's stderr")
  * [e67a249] git: Replace commit_info dict with class.
    Later I will add a method to GitCommitInfo

  [ Simon Poirier ]
  * [b111ab6] doctest: Fix failure with rust-coreutils.
    Replace implicit behavior gnu of coreutils true/false in doctest by
    explicit output and exit code. (LP: #2137580)

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * [fdc1d0b] setup.cfg: Add required modules from requirements.txt

  [ Jonathan Dowland ]
  * [99beba8] Add 'See also' from gbp(1) to gbp-import-ref(1)

  [ Philippe Coval ]
  * [9556625] spec: Update obsolete patch macro.
    Since backward compatibility is broken with current tools (eg: rpm-6.0.1 
    from fedora-43).
    For the record: https://rpm.org/releases/4.20.0
        Compatibility Notes The %patchN macro syntax (where N is a patch
        number) is now obsolete and will produce a build error. Use %patch
        N (or for maximum compatibility, %patch -P N) instead.
    Origin: https://salsa.debian.org/agx/git-buildpackage/-/merge_requests/85
    Forwarded: https://github.com/agx/git-buildpackage/pull/98

 -- Guido Günther <agx@sigxcpu.org>  Sun, 19 Apr 2026 09:18:51 +0200

git-buildpackage (0.9.39) unstable; urgency=medium

  [ Richard Hansen ]
  * [13517bc] run-in-container: Properly quote parameter expansion.
    It's unclear why the comment "re-splitting command arguments
    intentional" was added; nothing about the invocation of the function
    suggests that it was intentional.
  * [1b15033] run-in-container: Upgrade packages in image
  * [8a89b3e] run-in-container: Install image packages noninteractively
  * [5910d59] run-in-container: Reduce image size by deleting downloaded
    packages
  * [2589dcc] run-in-container: Run the full test suite
  * [d79afe7] run-in-container: Skip test that fails when run as root
  * [bcccae1] run-in-container: Bump example release to trixie
  * [181ad5b] run-in-container: Build the package during run, not image build
  * [0755e09] pq tests: Fix reading of patch file.
    Reading a file that has already been read to EOF returns the empty
    string, so the second check was always trivially true.
  * [d8ec910] GitRepository diff: Remove `=` from `-M` argument.
    Git's documentation says that the option has the form `-M[<n>]`, not
    `-M[=<n>]`.
  * [e6e5ee9] GitRepository diff: Add copy detection support.
    This commit does not enable copy or rename detection (no behavior
    changes are expected); it only adds the infrastructure needed to
    enable copy detection in a future commit.
  * [05a71f0] pq: Create rename and copy patches when exporting.
    This produces smaller patches that are easier to review and easier to
    refresh by devs that don't use git-buildpackage.
    The quilt utility wraps patch, and GNU patch has supported Git's diff
    features such as renames and copies since 2.7, released Sep 2012:
    <https://git.savannah.gnu.org/cgit/patch.git/tree/NEWS?h=v2.7#n6>
    Note: dpkg-source (specifically, Dpkg::Source::Patch) logs the
    following warning with a rename-only patch (see #749070), but such
    patches appear to be applied properly.
    (Closes: #1100809)
  * [34a63bf] GitRepository diff: Force diff algorithm for consistency
    (Closes: #1030044)

  [ Guido Günther ]
  * [df5a12a] tests: Fetch test data from salsa.
    Avoids a dependency on an external system that can fail.
  * [5262ada] clone: Add some type annotations
  * [17580fc] clone: Be less strict on vcs-git URLs.
    This allows URLs that specify `-b <branch>` to
    be matched. We don't care about the branch information
    yet though as we take that from gbp.conf.
  * [17d2826] Wrap and sort
  * [5cf9a8d] import-orig: Be more helpful when invoking uscan with a version
  * [7d509bf] uscan: Retry with --download-debversion if --download-version
    failed. Otherwise using this in scripts that merely get the target Debian
    version becomes really cumbersome
  * [aaeb20a] tests: Switch download URLs to salsa.
    This leaves merely the uscan test

  [ Julien Plissonneau Duquène ]
  * [69ccb15] Add a missing test dependency
  * [6ebc8cd] Promote Standards-Version to 4.7.2 with no changes

  [ Hannes von Haugwitz ]
  * [68768a2] buildpackage: Fix build directory removal condition
    * fixes regression in 005676a (buildpackage: Make sure export_dir is
      always set)
    * Closes: #1111340

  [ Santiago Vila ]
  * [cad78d8] Fix FTBFS with the nocheck build profile (Closes: #1116741)

  [ Carles Pina i Estany ]
  * [158f0db] Remove unused Suggests (not existing in Debian) "mock" package
    (Closes: #1119013)

 -- Guido Günther <agx@sigxcpu.org>  Wed, 05 Nov 2025 09:46:25 +0100

git-buildpackage (0.9.38) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * [b15709f] config: Enable 'multimaint-merge' by default.
    There are currently 735 packages[1] that default to 'True' for this
    option and seems most no maintainer would manually write a
    debian/changelog with the same maintainer repeated, so this would be a
    better default.
    Also, devscripts itself recently changed this and will have it enabled
    by default in version 2.25.1+.
  * [f7ce004] docs: Add diagram to manual to help readers grasp the DEP-14 branches.

  [ Andrew Kreimer ]
  * [b44226e] docs: fix typos.

  [ Guido Günther ]
  * [89b0995] ci: Run codespell. We run it on th doc folder.
  * [a6f65c1] docs: Mention DCO.Hopefully we get more commits with
    `Signed-off-by:`.
  * [2a30c7a] import-orig: Keep upstream branch on initial import.
    When importing a new package we want to keep both upstream and debian
    branch as otherwise the user has an extra manual step of recreating the
    branch.
  * [091b811] docs: Modernize creating a new package.  With upcoming support
    for gbp.conf in dh_make let's modernize the docs a bit and use `*/latest`
    there too.
  * [462d5f7] clone: Ensure attribute changes are applied past clone.
    This makes sure changes due to the added gitattributes take effect in
    the checkout. This helps e.g. kotlin wich otherwise has
      $ git status
      [..snip..]
      Changes not staged for commit:
      (use "git add <file>..." to update what will be committed)
      (use "git restore <file>..." to discard changes in working directory)
    	modified:   compiler/cli/bin/kapt.bat
    	modified:   compiler/cli/bin/kotlin-dce-js.bat
    	modified:   compiler/cli/bin/kotlin.bat
    	modified:   compiler/cli/bin/kotlinc-js.bat
    	modified:   compiler/cli/bin/kotlinc-jvm.bat
    	modified:   compiler/cli/bin/kotlinc.bat
    after
       gbp clone vcsgit:kotlin
    Helps: #1092800
  * [ed0bb53] tests: Check that git attributes are disarmed.
    Add a test for
       462d5f75 ("clone: Ensure attribute changes are applied past clone")
    to ensure git attributes aren't applied and the working copy stays
    clean. Based on bits from !38 by Julien Plissonneau Duquène
  * [6512a0d] changelog: Don't capture dch's stderr.  Otherwise we'll never
    see it

  [ Gioele Barabucci ]
  * [7beb71e] buildpackage: Allow both DEP-14 and DEP14 as values for `dist`
  * [67baaae] Consistently use DEP-X in documentation and error messages.
    The consensus on debian-devel is that "DEP-X" should be preferred
    to "DEPX" and "DEP X".
    See: https://lists.debian.org/debian-devel/2024/11/msg00141.html

  [ Richard Hansen ]
  * [69afa42] packaging: Bump Python version for `type` statement.
    The `type` statement was added in Python 3.12.
  * [ec76596] packaging: Remove unused python3-filelock dependency.
    This reverts commit 5155e98b3cac28a32f20ac369e28e9fa78676fd4.
  * [240fbb4] packaging: Mark test build dependencies as !nocheck
  * [971d253] packaging: Fix python3-notify2 suggestion for git-buildpackage-rpm
  * [117f3ed] build: Drop exact version requirement for flake8
    v3.5.0 hasn't been supported since at least Python 3.9.
  * [7b6408a] build: Change coverage dependency to pytest-cov.
    Testing fails if pytest-cov isn't installed.
  * [b4e2e8f] build: Add missing requirements to requirements.txt
  * [ebd478d] build: Add a venv target to Makefile for convenience
  * [f251b86] build: Make it easier to override python executable in Makefile.
    Now users can do `make PYTHON=python3.12` to force a particular
    version of Python if desired.

  [ Julien Plissonneau Duquène ]
  * [a738315] Pass --download-version to uscan

 -- Guido Günther <agx@sigxcpu.org>  Thu, 10 Apr 2025 15:36:33 +0200

git-buildpackage (0.9.37) unstable; urgency=medium

  [ Guido Günther ]
  * [9551420] import-orig: Add mention of --upstream-vcs-tag to description.
    This makes it hopefully easier to discover.
  * [9a2507e] setup: Require python 3.11.
    We don't test it on anything older. (Closes: #1091851)
  * [005676a] buildpackage: Make sure export_dir is always set.
    Fixes c9cc8df4 ("buildpackage: remove export_dir if build fails")
    (Closes: #1091554)
  * [ae6f841] repo-setup: Drop context manager for posix path.
    Python's breaks backward compatibility without being helpful.
    See https://github.com/python/cpython/issues/83863
    This fixes running gbp with Pythone 3.13

  [ Otto Kekäläinen ]
  * [ec9ee37] docs: Clarify and unify the purpose of each command in the man pages.
    Update the <refpurpose> field in each command to better capture the main
    purpose of the command, and ensure the main `gbp (1)` man page uses the
    same text to avoid them from diverging.
  * [f3036fb] docs: Add examples sections where missing, and enrich examples.
    Most commands should have an EXAMPLES section on the man page, and the
    first 1-2 examples should show what are the most common invocations.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 09 Jan 2025 18:24:22 +0100

git-buildpackage (0.9.36) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * [aee0584] Idiomatic usage of pytest, remove almost all traces of nose
    (Closes: #1018367)

  [ Guido Günther ]
  * [4c63abd] d/control: Drop dependency on pkg-resources (Closes: #1083415)
  * [f243658] docs: Mardownify development hints
  * [379e63f] docs: Adjust test invocations for pytest. It's different from
    nose, sigh
  * [1f1f7f2] docs: Link to hacking
  * [a699d3b] docs: Add merge request URL
  * [45b2d4f] docs: Clean up markdown. Make mdl happy.
  * [5495aa6] docs: Use application instead of product.
    Avoids the ™. See
        https://tdg.docbook.org/tdg/5.1/application
    While at that move all applications into their own block
  * [ae431af] docs: Use entities for lintian and rpm-lint.
    We use command rather than productname as the related text refers to
    running external commands.
  * [9c1ec80] dirlocals: Avoid tabs in xml mode
  * [e19f76e] docs: intro: Make first point more crisp
  * [e0e1102] docs: intro: Use <filename> around debian/changelog
  * [dc42093] docs: intro: Mention that we support push and pull
  * [12287be] docs: intro: Mention gbp push.
    The initial paragraph was written before gbp push existed.
  * [3d34a37] tests: Strip result.
    This unbreaks CI and lets us work with recent and older
    dpkg-parsechangelog.
  * [8396466] build: Allow to pass args to mypy. Useful in CI
  * [a3472d3] ci: Add upstream pipeline. Do the linting and checking before
    running salsa-ci
  * [f7c50a1] ci: Store ruff result as junit. Makes things easier to read in
    gitlab
  * [e228fed] ci: Run typecheck
  * [59b3da2] upstreamsource: Add some types for tarball lists.
    We need to slightly tweak the code for this 
  * [80e5964] pristine-tar: Move import to its own function. Rename debsource
    to source while at that to match other scripts
  * [0365f5c] pristine-tar: Import upstream signatures too. Otherwise we're
    not consistent with import-orig
  * [55a5925] tests: Skip repo creation test in CI. We have too many perms
  * [c8dfce0] build: Allow to pass extra args to pytest. Useful in ci.
  * [0337772] ci: Run pytests. This allows us to run the tests that need
    network as well
  * [1930a4a] ci: Fetch deb packaging data.
    Enables us to run the deb based component tests. We do this for the test
    job only as the others don't need the submodules to work.
    The rpm component tests need more work so we don't fetch the subodule
    yet.
  * [69f1fe7] packaging: Don't run flake8.
    This makes the package build more robust as we don't have to worry about
    new formatting warnings/errors which don't affect the functionality of
    the package.
  * [15fe75e] ci: Use ci pipelines and robustify CI runs. Cancel running jobs
    to save resources
  * [4f28776] ci: Run ci-fairy. This keeps commit messages sane
  * [2c5d94d] tests: Ease checking exit status. Print the error log when exit
    status is not 0
  * [7a9c89c] tests/clone: Print logs on failure. Eases debugging in CI
  * [83af90e] ci: Enable tests that need network access
  * [fb6d859] ci: Run shell checks. We can drop them from the packaging run.
  * [410df5f] packaging: Drop test dependencies. We run the tests in CI
  * [b6aaa8e] tests: Enable coverage reports and coverage percentage
  * [6ff6117] gbp: Add pipes module verbatim from Python 3.12.8
  * [e401bae] pipes: Drop deprecation warning. Drop the deprecation warning,
    add a copyright header and make flake8 happy.
  * [43d4b3b] pipes: Use shlex.quote. Ensures we don't leak pipe.quote
  * [87e5905] gbp: Use our bundled pipes module (Closes: #1084672)

  [ Otto Kekäläinen ]
  * [ea20cff] Support numerical prefix in suite names.
    E.g. '12-bookworm' or '24.04-noble'.
    Repositories that have many parallel releases in maintenance are easier
    to manage when the suites have a number prefix so they sort alphabetically
    correctly, and also causes less cognitive load in trying to remember what
    release number and name to put in debian/changelog.
  * [dd3bba9] Document vendor detection and sort names alphabetically
  * [b8e75c6] docs: Consistently use 'upsreamvcs' as git remote for upstream
  * [a92b54d] docs: Misc minor tweaks and fixes
    * Fix one stray use of 'debian/sid' missed in 4dc9a6ce
    * Mention DEP-14 layout on page about branches
    * Update links to upstream Git homepage and to salsa.debian.org
    * Replace link 'here' with actual manual URL to make the link readable
    * Use https in links
    * Remove trailing white space
  * [14e2a30] docs: Use the shorter URL to online manual, and promote it in man pages too.
    Shorter is better and prettier, so promote https://gbp.sigxcpu.org/manual/
    over the long URL. Also promote this in the introduction of the most
    important man pages, as currently the anyone reading the man pages will
    not discover the online manual as the links are missing.
    The only link in the manpages currently is a local link, which does not
    render at all at e.g. https://manpages.debian.org/bookworm/git-buildpackage/git-buildpackage.1.en.html
  * [7ae9847] docs: Clarify that 'upstream' branch doesn't mean actual upstream branch.
    Correct common misunderstanding that the gbp 'upstream' branch is not
    the actual upstream branch, but a custom branch that represents the
    source code at the time of the release, and which together with the
    pristine-tar is used to reconstruct the upstream source code as-is.
    Co-authored-by: Guido Günther <agx@debian.org>
  * [1187384] docs: gbp-clone: Clarify commands and include --add-upstream-vcs in example.
    Also unify the use of `<screen>` syntax in examples to avoid excess
    whitespace, and fix some indentation.
    Use `vcs-git:` in examples to avoid confusing reader with multiple options
    for the exact same thing. Choose this spelling as it will be correctly
    associated with the `Vcs-Git:` field in the `debian/control` file in the
    mind of Debian maintainers/developers.
  * [74d059a] docs: Improve intro to better summarize what git-buildpackage can do
  * [3fc948a] docs: Extend intro mentioning uscan, pristine-tar, debchange, debuild etc.
    Extend the intro to mention that git-buildpackage uses under the hood
    many existing core Debian packaging tools. This is important as it gives
    new readers a better understanding of how git-buildpackage operates, in
    particular if they are experienced Debian packagers.

  [ Chris Lamb ]
  * [c224b03] Prevent "pq export" (etc.) from creating unparsable diffs when diff.noprefix=true is set.
    Using diff.noprefix=true globally makes Git nicer to use as a human, as it
    makes it possible to copy file paths when running git diff (etc.) on the
    command line.
    Otherwise, you typically see filenames which technically don't exist. For
    instance, these files aren't under a directory called "a" or "b" at all; they
    are placeholders:
      --- a/tochange.py
      +++ b/tochange.py
    However, when this global option is set, "pq export" will serialise the patch
    branch into debian/patches with the filenames missing the prefix, which
    dpkg-source then can't actually parse and it errors out. In other words, they
    look like this:
      --- tochange.py
      +++ tochange.py
    A patch is attached that overrides diff.noprefix when calling out to
    "git diff", meaning that it will use "a/" and "b/" as expected. This
    seems somewhat analogous to overriding the user's core.abbrev setting.
    (Closes: #1088032)

  [ Richard Lewis ]
  * [c9cc8df] buildpackage: remove export_dir if build fails.
    Previously, the export_dir was not removed if the build command
    (set by --git-builder) failed, or was interrupted.
    This commit ensures it is removed, unless --git-no-purge is used
    Not removing is useful for debugging, but does not need to be the
    default (Closes: #1088179)
  * [663b3ff] gbp: Use shlex.quote rather than pipe.quote

  [ Travis Wrightsman ]
  * [2914c03] docs: Add import-ref to gbp(1)

 -- Guido Günther <agx@sigxcpu.org>  Sun, 22 Dec 2024 13:48:23 +0100

git-buildpackage (0.9.35) unstable; urgency=medium

  [ Guido Günther ]
  * [09d65cb] Use pythons builtin mock
  * [360222d] d/control: Let Vcs-* point to salsa
  * [ca70762] import: Use debian/latest.
    It's the recommended layout
  * [4dc9a6c] docs: Prefer debian/latest over debian/sid.
    This is more widespread nowadays and ensures the latest upstream
    version is always in the repositories default branch.
  * [a88e01e] Drop completely outdated tox.ini
  * [5c8f1af] Drop travis CI file.
    We use salsa's CI and haven't used travis CI since ages.
  * [8e494cb] tests: Merge the repository doctests.
    We use a single doctest as module scoped fixtures can't be used with
    doctests in pytest
  * [d21fead] tests: Merge the pristine-tar doctests.
    We use a single doctest as module scoped fixtures can't be used with
    doctests in pytest
  * [33f4884] build: Run tests through pytest.
    We still use nose's assertions. See
    https://github.com/pytest-dev/nose2pytest on how to convert those in the
    future so can't drop the dependency yet.
    Closes: #1080224
    Helps: #1018367
  * [a553f93] rpm: Mark two tests as xfail.
    Needs debugging why they regressed as there weren't any changes in that
    area recently.
  * [54bec6e] tests/component: Fix skipping tests when submodules are no
    present.  Rework the logic to work with pytest instead of nose
  * [3a87c05] tests/component/rpm: Fix skipping tests with pytest.
    Rework the logic to work with pytest instead of nose

  [ Ferenc Wágner ]
  * [aa468c0] dscfile.py: decide native/non-native based on diff presence, not
    version format. Source format 1.0 native packages with a hyphen in their
    version number were mistaken by the original code for non-native.
  * [1fecdcd] 12_test_deb: add test for native 1.0 DSC with Debian revision

 -- Guido Günther <agx@sigxcpu.org>  Tue, 24 Sep 2024 07:59:14 +0200

git-buildpackage (0.9.34) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * [dbd1b36] salsa-ci: Disable SALSA_CI_DISABLE_VERSION_BUMP.
    Disabling the version automatic version bump in Salsa-CI satisfies
    Python setuptools and build passes.
  * [ae2d10c] docs: Fix misc spelling in documentation.
    In code standardize on using 'commitish' while docs have 'commit-ish'
    like upstream git convention seems to be.
  * [a0e45c6] gbp: Fix misc spelling in user visible output and comments
  * [42c3e15] debian: Fix misc spelling.
    The debian/changelog has many spelling errors but not touching them now
    as changing past changelog entries might be contentious.
  * [13f5205] tests: Implement 'run-in-docker -c docker'
    Typically developers have either Docker or Podman on their laptops for
    running containers. As Podman follows nearly identical syntax as Docker,
    add new option '-c' that allows to specify Podman or Docker as the
    container command, with Podman being default if nothing is defined as
    the main developer is using Podman.
    Also ignore log files both in .gitignore and resulting .dockerignore so
    that tests runs can be logged with 'tee x.log' without triggering
    rebuilds of the container via polluting the 'COPY . .' step.
  * [6df86f9] tests: Avoid busting container layer cache on every file change
  * [c7c73d3] tests: Capitalize Dockerfile commands to follow to formal syntax.
    This is necessary to be able to use static Dockerfile analyzers.
  * [4940747] tests: Fix shell syntax issues in run-in-container.
    If 'run-in-container x' was issued, script would fail silently. With
    this change it will properly exit with 'bad action: x' and help message.
    Also fix a bunch of other minor issues detected by ShellCheck.
  * [dd891c6] tests: Rename run-in-docker to run-in-container to be more generic

  [ Guido Günther ]
  * [75cda52] Validate shell completion functions.
    For zsh we can at least catch syntax errors and use shellcheck for
    bash.
  * [2f47ec4] setup: Move most options to setup.cfg.
    We can move everything that doesn't depend on running a script
    or evaluating environment variables.
  * [307f8ad] docs: Drop NEWS
    dh_installchangelogs handles that
  * [af15aad] rpm: Adjust to new gbp.conf install path.
    To make setup.py happy we moved to an underscore path name in
        2f47ec4c ("setup: Move most options to setup.cfg")
  * [ef0211c] tests: shellcheck packaging-in-container too.
    Now that is passes let's make sure it stays that way.
  * [dca6702] dscfile: Use "file" as context manager.
    Closes the file automatically. Move parsing out of the constructor
    while at that.
  * [2ba5b93] dscfile: Improve error when dsc file isn't UTF-8
    (Closes: #1072387)
  * [c0b776c] examples/zeitgest: Exit early if we don't find the python module.
    Don't use `unicode` while at that.
  * [1233918] rpm: Prefer isinstance() over type()
  * [cbce318] rpm: Prefer 'not in' for membership tests
  * [6166d74] tristate: Prefer isinstance() over type()
  * [9650f68] tests: Prefer isinstance() over type()
  * [364eccb] tests: Clarify noqa tags.
    Ruff is more strict than flake8 here
  * [ff276e5] Add linter configs
  * [077cc51] ci: Run ruff
  * [0d7193b] tests: Avoid assertEquals.
    Python 3.12 dropped it. I just wish there would be deprecations.
  * [dde9e7d] tests: Avoid assertRaisesRegexp.
    Python 3.12 dropped it. I just wish there would be deprecations.
  * [15f3b8c] Drop format_b.
    We require python 3.5 anyway and Python 3.12 dropped decode from string.
    (Closes: #1074681)

  [ Jochen Sprickerhof ]
  * [026cd23] pull: Allow pull in unclean repos.
    This works just fine when git can fast forward, i.e. with untracked
    content or changes in tracked files that are not touched by the commits.
    In case fast forward is not possible gbp will complain anyhow.

  [ Carlos Henrique Lima Melara ]
  * [385291f] docs: document how to send the tip of debian-branch with gbp push.
    When --debian-tag is set to '' empty string, gbp will push the tip of
    the debian branch to remote.
    Small typo fix also: s/branach/branch/

  [ Sven Geuer ]
  * [1d814b9] docs: create_repo uses DEBFULLNAME not DEBUSER.
    Make the docs match.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 02 Jul 2024 20:51:28 +0200

git-buildpackage (0.9.33) unstable; urgency=medium

  [ Evangelos Ribeiro Tzaras ]
  * [f6d90d5] docs: gbp-clone: Fix small typo and fix metadata file name

  [ Guido Günther ]
  * [6923df4] config: Catch DuplicateOption errors.
    Nicer than printing a stack trace
  * [8deb2e1] tests: Make flake8 happy (Closes: #1058551)

  [ Taihsiang Ho (tai271828) ]
  * [d1a9745] d/control: Specify required git version as dependency.
    Explicitly specify the git version to facilitate easier backporting.
    Developers can align with this git version to reduce false alarms due
    to version inconsistencies.

 -- Guido Günther <agx@sigxcpu.org>  Fri, 15 Dec 2023 15:49:47 +0100

git-buildpackage (0.9.32) unstable; urgency=medium

  * Upload to unstable
    Closes: #1042188

 -- Guido Günther <agx@sigxcpu.org>  Fri, 04 Aug 2023 09:11:56 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog git-buildpackage`.
